/*
 * (C) Copyright 2000-2006 Hewlett-Packard Development Company, L.P.
 */
#ifndef DIST_H
#define DIST_H

#ifndef __KERNEL__
#  define __KERNEL__
#endif

#include <linux/version.h>
#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
#ifndef MODULE
#  define MODULE
#endif
#endif

#include <linux/autoconf.h>
#ifdef CONFIG_X86_64
#ifndef CPQCI_X86_64
#define CPQCI_X86_64
#endif
#endif

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
#ifdef CONFIG_MODVERSIONS 
#	include <linux/modversions.h>
#endif
#endif

#include <linux/module.h>
#include <linux/kernel.h> /* printk() */
#include <linux/proc_fs.h>
#include <linux/miscdevice.h>
#include <linux/pci.h>
#include <linux/poll.h>
#include <linux/list.h>
#include <linux/sched.h>
#include <linux/timer.h>
#include <linux/smp_lock.h>
#include <linux/delay.h>

#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,0)
#include <linux/wrapper.h>
#else
#include <linux/page-flags.h>
#include <linux/interrupt.h>
#endif

#include <asm/uaccess.h>
#include <asm/mman.h>
#include <asm/semaphore.h>

#endif //DIST_H
